$(function(){
	var wh=$(window).height();
	$("a.open_about").click(function(){
		$(".about").css({"height":wh}).show();
		$(document).scrollTop($(document).scrollTop());
		$('html, body').animate({scrollTop:$(".main").height()},200,function(){
			$(".main").hide();
			$("html").css({"overflow-y":"auto"});
			$(".about").css({"overflow-y":"scroll"});
		});
		return false;
	});
	$("a.close_about").click(function(){
		$(".about").css({"overflow-y":"auto"});
		$("html").css({"overflow-y":"scroll"});
		$(".main").show();
		$(document).scrollTop($(".main").height());
		$('html, body').animate({scrollTop:$(".main").height()-$(".about").height()},200,function(){
			$(".about").hide();
		});
		return false;
	});

	if(parseInt($(".bbox img").width())>649)
	{
		$(".bbox img").width(649);
	}
	
	eachpic();
	$(window).scroll(function(){
		eachpic();
	});
	
});

function eachpic(){
	
	$(".pic_div:not('.load_ok')").each(function(){
		if( parseInt($(this).offset().top) < parseInt($(document).scrollTop())+parseInt($(window).height()) )
		{
			var _this=$(this);
			$(this).find("img").load(function(){	
				_this.addClass("load_ok");
				_this.parent().find("em").css({"top":(_this.height()/2)-(_this.parent().find("em").height()/2)-10});
			});
		}
	});
}



$(document).ready(function(){
	
	var $container = $('#container');
	
	$container.imagesLoaded(function(){
		$container.masonry({
			itemSelector: '.piclist',
			columnWidth: 0 //每两列之间的间隙为5像素
		});
	});
	
	$container.infinitescroll({
		navSelector  : '#page-nav',    // 选择的分页导航 
		nextSelector : '#page-nav a',  // 选择的下一个链接到（第2页）
		itemSelector : '.piclist',     // 选择检索所有项目
		loading: {
			finishedMsg: '没有更多的页面加载。',
			img: '/theme/bg/loading.gif'
		}
	},function(newElements){
		
			// 隐藏新的项目，而他们正在加载
			var $newElems = $( newElements ).css({ opacity: 0 });
		
			// 确保的图像装载增加砖石布局
			$newElems.imagesLoaded(function(){
			
				// 元素展示准备
				$newElems.animate({opacity:1});
				$container.masonry( 'appended', $newElems, true ); 
			
			});
		}
	);
	
	$('<a href="#" id="retop">返回顶部</a>').appendTo('body').fadeOut().click(function(){
		$(document).scrollTop(0);
		$(this).fadeOut();
		return false
	});
	var $retop = $('#retop');
	function backTopLeft(){
		var btLeft = $(window).width() / 2 + 498;
		if (btLeft <= 970){
			$retop.css({ 'left': 975 })
		}else{
			$retop.css({ 'left': btLeft }) 
		}
	}
	backTopLeft();
	$(window).resize(backTopLeft);
	$(window).scroll(function(){
		if ($(document).scrollTop() === 0){
			$retop.fadeOut()
		}else{
			$retop.fadeIn()
		}
		if ($.browser.msie && $.browser.version == 6.0 && $(document).scrollTop() !== 0){
			$retop.css({ 'opacity': 1 })
		} 
	});
	
});


